CREATE TABLE msc_aed_144404_dyf (
    DEMAND_ID                    NUMBER(18, 0) ,
    PLAN_ID                      NUMBER(18, 0) ,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    INVENTORY_ITEM_ID            NUMBER(18, 0) ,
    ITEM_NAME                    VARCHAR2(1200),
    ITEM_DESCRIPTION             VARCHAR2(960) ,
    ORDER_TYPE                   NUMBER        ,
    ORDER_NUMBER                 VARCHAR2(1000),
    ORGANIZATION_ID              NUMBER(18, 0) ,
    ORGANIZATION_CODE            VARCHAR2(196) ,
    ORGANIZATION_NAME            VARCHAR2(960) ,
    ORDER_TYPE_TEXT              VARCHAR2(960) ,
    GLOBAL_ATTRIBUTE_NUMBER11    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER12    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER13    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER14    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER15    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER16    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER17    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER18    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER19    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER20    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER21    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER22    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER23    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER24    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER25    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER26    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER27    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER28    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER29    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER30    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER31    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER32    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER33    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER34    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER35    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER36    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER37    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER38    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER39    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER40    NUMBER(18, 0) ,
    PROJECT                      VARCHAR2(400) ,
    TASK                         VARCHAR2(400) ,
    PROJECT_GROUP                VARCHAR2(400) ,
    ATTRIBUTE_DISPLAY_VALUE13    VARCHAR2(400) ,
    ATTRIBUTE_DISPLAY_VALUE14    VARCHAR2(400) ,
    ATTRIBUTE_DISPLAY_VALUE15    VARCHAR2(400) ,
    ATTRIBUTE_DISPLAY_VALUE16    VARCHAR2(400) ,
    ATTRIBUTE_DISPLAY_VALUE17    VARCHAR2(400) ,
    ATTRIBUTE_DISPLAY_VALUE18    VARCHAR2(400) ,
    ATTRIBUTE_DISPLAY_VALUE19    VARCHAR2(400) ,
    ATTRIBUTE_DISPLAY_VALUE20    VARCHAR2(400) ,
    ATTRIBUTE_DISPLAY_VALUE21    VARCHAR2(400) ,
    ATTRIBUTE_DISPLAY_VALUE22    VARCHAR2(400) ,
    ATTRIBUTE_DISPLAY_VALUE23    VARCHAR2(400) ,
    ATTRIBUTE_DISPLAY_VALUE24    VARCHAR2(400) ,
    ATTRIBUTE_DISPLAY_VALUE25    VARCHAR2(400) ,
    SEGMENT_NAME                 VARCHAR2(480) ,
    SEGMENT_ID                   NUMBER(18, 0) ,
    DEMAND_ID                    NUMBER(18, 0) ,
    PLAN_ID                      NUMBER(18, 0) ,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    INVENTORY_ITEM_ID            NUMBER(18, 0) ,
    ITEM_NAME                    VARCHAR2(1200),
    ITEM_DESCRIPTION             VARCHAR2(960) ,
    ORDER_TYPE                   NUMBER        ,
    ORDER_NUMBER                 VARCHAR2(1000),
    ORGANIZATION_ID              NUMBER(18, 0) ,
    ORGANIZATION_CODE            VARCHAR2(196) ,
    ORGANIZATION_NAME            VARCHAR2(960) ,
    ORDER_TYPE_TEXT              VARCHAR2(960) ,
    GLOBAL_ATTRIBUTE_NUMBER11    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER12    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER13    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER14    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER15    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER16    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER17    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER18    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER19    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER20    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER21    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER22    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER23    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER24    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER25    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER26    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER27    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER28    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER29    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER30    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER31    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER32    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER33    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER34    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER35    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER36    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER37    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER38    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER39    NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER40    NUMBER(18, 0) ,
    PROJECT                      VARCHAR2(400) ,
    TASK                         VARCHAR2(400) ,
    PROJECT_GROUP                VARCHAR2(400) ,
    ATTRIBUTE_DISPLAY_VALUE13    VARCHAR2(400) ,
    ATTRIBUTE_DISPLAY_VALUE14    VARCHAR2(400) ,
    ATTRIBUTE_DISPLAY_VALUE15    VARCHAR2(400) ,
    ATTRIBUTE_DISPLAY_VALUE16    VARCHAR2(400) ,
    ATTRIBUTE_DISPLAY_VALUE17    VARCHAR2(400) ,
    ATTRIBUTE_DISPLAY_VALUE18    VARCHAR2(400) ,
    ATTRIBUTE_DISPLAY_VALUE19    VARCHAR2(400) ,
    ATTRIBUTE_DISPLAY_VALUE20    VARCHAR2(400) ,
    ATTRIBUTE_DISPLAY_VALUE21    VARCHAR2(400) ,
    ATTRIBUTE_DISPLAY_VALUE22    VARCHAR2(400) ,
    ATTRIBUTE_DISPLAY_VALUE23    VARCHAR2(400) ,
    ATTRIBUTE_DISPLAY_VALUE24    VARCHAR2(400) ,
    ATTRIBUTE_DISPLAY_VALUE25    VARCHAR2(400) ,
    SEGMENT_NAME                 VARCHAR2(480) ,
    SEGMENT_ID                   NUMBER(18, 0) ,
    CONSTRAINT pk_msc_aed_144404_dyf PRIMARY KEY (DEMAND_ID, PLAN_ID, DEMAND_ID, PLAN_ID)
);
